Subject: bug#47244: 28.0.50; SIGSEGV in long-runnning Emacs

From: Eli Zaretskii <[email-masked]>
Date: Mon, 29 Mar 2021 18:21:47 +0300

> Date: Mon, 29 Mar 2021 18:07:18 +0300
> From: Eli Zaretskii <[email-masked]>
> Cc: [email-masked], [email-masked], [email-masked]
> 
> Actually, no, I don't think it can be with-current-buffer, it must be
> something else.  I wonder how we ended up being at top-level with
> current buffer being " *nntpd*" and the selected window's buffer being
> something else, which was killed?  Hmm...

Martin, could it be that replace-buffer-in-windows fails to replace a
buffer?  Suppose kill-buffer is called to kill a buffer that is shown
in the selected window, but replace-buffer-in-windows fails to replace
it -- can that happen?

And another question: can a window be selected if its buffer is dead?
Or is it possible to set a dead buffer as a window's buffer?